import 'package:purchases_flutter/purchases_flutter.dart';

import 'subscription_item.dart';

class RevcatIapConfig {
  /// EntitlementID that configured on RevenueCat
  final String entitlementID;

  /// Free premium-feature usage times.
  final int limitFreeUsage;

  /// Convert RevenueCat packages into local items for showing on UI.
  final List<SubscriptionItem> Function(List<Package>) packageConverter;

  const RevcatIapConfig({
    required this.entitlementID,
    required this.packageConverter,
    this.limitFreeUsage = 10,
  });
}
